summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorintrigeri <intrigeri@boum.org>2017-05-26 05:40:07 +0000
committerintrigeri <intrigeri@boum.org>2017-05-26 05:40:07 +0000
commitcb9f0fa50f679612ebc2a3badff185d556029ed3 (patch)
tree0fe2d88bb4bf20dd5ccfb08e5cf61996baff5af5
parent7137955420672ea7a9638be63de72d3eaadbb024 (diff)
Adjust build system, release process and past calls for testing wrt. feature/stretch disappearing.
refs: #12536
-rwxr-xr-xauto/scripts/apt-mirror12
-rwxr-xr-xauto/scripts/utils.sh2
-rw-r--r--wiki/src/contribute/release_process.mdwn8
-rw-r--r--wiki/src/news/test_3.0-alpha1.mdwn2
-rw-r--r--wiki/src/news/test_3.0-beta1.mdwn2
-rw-r--r--wiki/src/news/test_3.0-beta2.mdwn2
-rw-r--r--wiki/src/news/test_3.0-beta3.mdwn2
-rw-r--r--wiki/src/news/test_3.0-beta4.mdwn2
-rw-r--r--wiki/src/news/test_3.0-rc1.mdwn2
9 files changed, 17 insertions, 17 deletions
diff --git a/auto/scripts/apt-mirror b/auto/scripts/apt-mirror
index 49a9714..75a6198 100755
--- a/auto/scripts/apt-mirror
+++ b/auto/scripts/apt-mirror
@@ -33,20 +33,20 @@ CURRENT_BRANCH=$(git_current_branch)
if [ "$BASE_BRANCH" = stable ] \
|| [ "$BASE_BRANCH" = testing ] \
- || [ "$CURRENT_BRANCH" = feature/stretch ] \
- || ( git_on_a_tag && [ "$BASE_BRANCH" = feature/stretch ] ) \
+ || [ "$CURRENT_BRANCH" = feature/buster ] \
+ || ( git_on_a_tag && [ "$BASE_BRANCH" = feature/buster ] ) \
then
case "$ARCHIVE" in
debian-security)
[ "$SERIAL" = latest ] \
|| fatal "APT snapshots are frozen for the debian-security archive," \
- "which should happen neither on feature/stretch nor on" \
+ "which should happen neither on feature/buster nor on" \
"a branch based on $BASE_BRANCH"
;;
*)
[ "$SERIAL" != latest ] \
|| fatal "APT snapshots are not frozen for the $ARCHIVE archive," \
- "which should happen neither on feature/stretch nor on" \
+ "which should happen neither on feature/buster nor on" \
"a branch based on $BASE_BRANCH"
esac
if version_was_released "$(version_in_changelog)"; then
@@ -62,10 +62,10 @@ then
output_time_based_snapshot "$ARCHIVE" "$RESOLVED_SERIAL"
fi
else
- if [ "$BASE_BRANCH" = devel ] || [ "$CURRENT_BRANCH" = feature/stretch ]; then
+ if [ "$BASE_BRANCH" = devel ] || [ "$CURRENT_BRANCH" = feature/buster ]; then
if [ "$SERIAL" != latest ]; then
fatal "APT snapshots are frozen, which should happen neither on" \
- "feature/stretch nor on a branch based on the devel one"
+ "feature/buster nor on a branch based on the devel one"
fi
fi
output_time_based_snapshot "$ARCHIVE" "$RESOLVED_SERIAL"
diff --git a/auto/scripts/utils.sh b/auto/scripts/utils.sh
index 671227a..80a32b1 100755
--- a/auto/scripts/utils.sh
+++ b/auto/scripts/utils.sh
@@ -1,6 +1,6 @@
# This library is meant to be used in bash, with "set -e" and "set -u".
-BASE_BRANCHES="stable testing devel feature/stretch"
+BASE_BRANCHES="stable testing devel feature/buster"
# Returns "" if in undetached head
git_current_branch() {
diff --git a/wiki/src/contribute/release_process.mdwn b/wiki/src/contribute/release_process.mdwn
index cab4b72..a949cff 100644
--- a/wiki/src/contribute/release_process.mdwn
+++ b/wiki/src/contribute/release_process.mdwn
@@ -279,17 +279,17 @@ Update other base branches
1. Merge the release branch into `devel` following the instructions for
[[merging base branches|APT_repository/custom#workflow-merge-main-branch]].
-2. Merge `devel` into `feature/stretch` following the instructions for
+2. Merge `devel` into `feature/buster` following the instructions for
[[merging base branches|APT_repository/custom#workflow-merge-main-branch]].
Given that these two branches' APT suites have diverged a lot, and
that `tails-merge-suite` currently happily overwrites newer
packages in the target with older packages from the source, it's
probably easier to just merge each individual APT overlay that was
- just merged into the release branch into `feature/stretch`'s APT
+ just merged into the release branch into `feature/buster`'s APT
suite. Also, most of our just upgraded bundled packages
(e.g. `tails-greeter`) may need to be rebuilt for Stretch.
-3. Ensure that the release, `devel` and `feature/stretch` branches
+3. Ensure that the release, `devel` and `feature/buster` branches
have the expected content in `config/APT_overlays.d/`: e.g. it must
not list any overlay APT suite that has been merged already.
@@ -297,7 +297,7 @@ Update other base branches
git push origin \
"${RELEASE_BRANCH:?}:${RELEASE_BRANCH:?}" \
- feature/stretch:feature/stretch \
+ feature/buster:feature/buster \
devel:devel
Update more included files
diff --git a/wiki/src/news/test_3.0-alpha1.mdwn b/wiki/src/news/test_3.0-alpha1.mdwn
index c20f8ba..75e3a48 100644
--- a/wiki/src/news/test_3.0-alpha1.mdwn
+++ b/wiki/src/news/test_3.0-alpha1.mdwn
@@ -19,7 +19,7 @@ It also requires a 64-bit computer, and GNOME Shell is now configured
to use its default black theme.
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~alpha1?
diff --git a/wiki/src/news/test_3.0-beta1.mdwn b/wiki/src/news/test_3.0-beta1.mdwn
index b55da9a..848e57d 100644
--- a/wiki/src/news/test_3.0-beta1.mdwn
+++ b/wiki/src/news/test_3.0-beta1.mdwn
@@ -29,7 +29,7 @@ Other changes include:
* We fixed a lot of problems since Tails 3.0~alpha1.
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~beta1?
diff --git a/wiki/src/news/test_3.0-beta2.mdwn b/wiki/src/news/test_3.0-beta2.mdwn
index 199cf7e..768732d 100644
--- a/wiki/src/news/test_3.0-beta2.mdwn
+++ b/wiki/src/news/test_3.0-beta2.mdwn
@@ -28,7 +28,7 @@ Other changes since Tails 3.0~beta1 include:
* Improve styling of the *GNOME Shell* window list.
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~beta2?
diff --git a/wiki/src/news/test_3.0-beta3.mdwn b/wiki/src/news/test_3.0-beta3.mdwn
index e0717cb..9887c2d 100644
--- a/wiki/src/news/test_3.0-beta3.mdwn
+++ b/wiki/src/news/test_3.0-beta3.mdwn
@@ -42,7 +42,7 @@ Other changes since Tails 3.0~beta2 include:
Tails 2.x to the format required by KeePassX 2.0.x.
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~beta3?
diff --git a/wiki/src/news/test_3.0-beta4.mdwn b/wiki/src/news/test_3.0-beta4.mdwn
index b03cf3a..52eeed9 100644
--- a/wiki/src/news/test_3.0-beta4.mdwn
+++ b/wiki/src/news/test_3.0-beta4.mdwn
@@ -30,7 +30,7 @@ Other changes since Tails 3.0~beta3 include:
* Replace *Pidgin*'s "systray" icon with the *guifications* plugin.
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~beta4?
diff --git a/wiki/src/news/test_3.0-rc1.mdwn b/wiki/src/news/test_3.0-rc1.mdwn
index 9ff8b4c..dc8f1ec 100644
--- a/wiki/src/news/test_3.0-rc1.mdwn
+++ b/wiki/src/news/test_3.0-rc1.mdwn
@@ -28,7 +28,7 @@ Changes since Tails 3.0~beta4 include:
* Migrate from Icedove to Thunderbird (only cosmetic).
Technical details of all the changes are listed in the
-[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=feature/stretch).
+[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).
# How to test Tails 3.0~rc1?